DCTOPGX(1)

NAME
dctopgx - ACR/NEMA DICOM PS3 ... DICOM PS3 - DICOM image to PGX file

SYNOPSIS

dctopgx [ -v|verbose ] [ -quiet|silent ]

DESCRIPTION

dctopgx reads the named dicom or acr-nema input file and copies the raw image pixel data to a PGX file as used for the JPEG 2000 Verification Model.

A PGX file contains of a single text header line of the form "PG <byte order> [+|-]<bit-depth> <cols> <rows>, followed immediately by the raw binary data. There may be 1, 2 or 4 bytes per sample corresponding to bit depths from 1 to 32. Byte order is "LM" (little endian) or "ML" (big endian). The signed or unsigned pixel representation is indicated by '+' or '-' character before the bit depth. If the '+' is omitted, unsigned is implied.

The input file must be unencapsulated.

PGX supports big or little endian byte order in the case of > 8 bit data. The output byte order is always in the same as the input, since the raw bytes are copied from input to output without any conversion. Use dccp(1) first to change the encoding if necessary.

PGX also supports signed data, so the Pixel Representation of the input is used to specify whether the output is signed or unsigned.

OPTIONS
The PGX output goes where it is specified or standard out. The verbose output goes to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-quiet|silent
    Suppress the normal description of image parameters.

-verbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents while reading, once read, during replacement, and before writing.

ENVIRONMENT

EXAMPLES

FILES

SEE ALSO
dccp(1), pnmtodc(1), dctopnm(1), rawtodc(1), dctoraw(1), dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS